* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
}

body {
  background-color: #f1f3f6;
}

ul li a {
  text-decoration: none;
  color: #ffffff;
}

a {
  text-decoration: none;
  color: #ffffff;
}

.layout {
  display: flex;
  min-height: 80vh;
}

/* Sidebar */
.sidebar {
  width: 230px;
  background-color: #1f2d3d;
  color: white;
  display: flex;
  flex-direction: column;
  padding: 20px 10px;
  position: relative;
  top: -4px;
}

.logo {
  font-size: 20px;
  font-weight: bold;
  color: white;
  margin-bottom: 30px;
  padding-left: 10px;
}

.user-info {
  text-align: center;
  margin-bottom: 30px;
}

.user-info img {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  margin-bottom: 10px;
}

.name-status p {
  margin: 4px 0;
}

.online .dot {
  height: 8px;
  width: 8px;
  background-color: #00e676;
  border-radius: 50%;
  display: inline-block;
  margin-right: 5px;
}

.punch-btn {
  margin-top: 10px;
}

.punch-btn input {
  padding: 6px;
  width: 90%;
  margin-bottom: 6px;
  border: none;
  border-radius: 3px;
}

.punch-btn button {
  width: 90%;
  background-color: orange;
  color: white;
  padding: 8px;
  border: none;
  border-radius: 3px;
  font-weight: bold;
}

.sidebar nav ul {
  list-style-type: none;
  padding: 0;
}

.sidebar nav ul li {
  margin: 15px 0;
}

.sidebar nav ul li a {
  color: #cfd8dc;
  text-decoration: none;
  font-size: 16px;
  display: block;
  padding: 8px 12px;
  border-radius: 4px;
}

.sidebar nav ul li a:hover,
.sidebar nav ul li a.active {
  background-color: #34495e;
  color: white;
}

/* Main */
.welcome {
  margin-top: 10px;
  background-color: #4b9a53;
  color: #5e0505;
  text-align: center;
  padding: 10px;
  border-radius: 5px;
  font-size: 18px;
  font-weight: 700 !important;
  width: 100%;
  margin-bottom: 20px;
}
.welcome h5{
  font-weight: 700;
}

.topbar {
  background-color: #d32f2f;
  color: white;
  padding: 10px 20px;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.topbar .title {
  font-size: 20px;
  font-weight: bold;
  text-align: center;
}

.topbar .user-profile {
  display: flex;
  align-items: center;
}

.topbar .user-profile img {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  margin-left: 10px;
}

.content-area {
  padding: 30px;
  background-color: #f1f3f6;
}

h2 {
  margin-bottom: 20px;
}

.card {
  background: white;
  border-radius: 8px;
  padding: 20px;
  overflow-y: auto;
  /* enable vertical scroll if needed */
  scrollbar-width: thin;
  /* Firefox */
  scrollbar-color: #1c3a5a #f1f1f1;
  /* Firefox */
}

@media screen and (max-width: 768px) {
  .card {

    /* Chrome, Edge, Safari custom scrollbar */
    .sidebar::-webkit-scrollbar {
      width: 8px;
      /* scrollbar width */
    }

    .sidebar::-webkit-scrollbar-track {
      background: #f1f1f1;
      border-radius: 10px;
    }

    .sidebar::-webkit-scrollbar-thumb {
      background-color: #1c3a5a;
      border-radius: 10px;
      border: 2px solid #f1f1f1;
      /* padding effect */
    }

    .sidebar::-webkit-scrollbar-thumb:hover {
      background-color: #1c3a5a;
      /* darker on hover */
    }
  }

}

.card-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15px;
}

.card-header h3 {
  margin: 0;
}

.search-box {
  display: flex;
  align-items: center;
  gap: 10px;
}

.search-box input {
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.badge {
  padding: 4px 8px;
  border-radius: 4px;
  font-size: 12px;
  color: white;
  display: inline-block;
}

.badge-compulsory {
  background-color: #4caf50;
}

.badge-restricted {
  background-color: #f44336;
}

.pagination {
  margin-top: 15px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 8px;
}

.footer {
  margin-top: 40px;
  padding: 20px;
  text-align: center;
  font-size: 14px;
  color: #555;
}

.user-profile span {
  font-weight: bold;
  color: white;
  text-align: center;
}

.form-box {
  display: flex;
  justify-content: center;
  align-items: center;
  /* height: 100vh; */
  background-color: #f4f4f4;
}

.form-container {
  width: 450px;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

form {
  /* width: calc(100% - 450px); */
  padding: 10px;
  text-align: left;
  border-bottom: 1px solid #ddd;
  background-color: white;
  margin-bottom: 18px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.name h1 {
  font-size: 24px;
  margin-bottom: 20px;
}

body {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
  color: #333;
}

.btn {
  padding: 10px 15px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.btn-secondary {
  background-color: rgb(117, 212, 132);
  color: white;
  font-weight: 700;
}

.btn-secondary:hover {
  background-color: rgb(75, 201, 98);
}

.btn-danger {
  background-color: #dc3545;
  color: white;
  font-weight: 700;
}

.btn-danger:hover {
  background-color: #c82333;
}

.name {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.input-group {
  flex-basis: 48%;
}

.input-group label {
  display: block;
  margin-bottom: 5px;
}

.input-group input,
.input-group select {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
}


/* Sidebar */
.sidebar {
  width: 230px;
  background-color: #1f2d3d;
  color: white;
  display: flex;
  flex-direction: column;
  padding: 20px 10px;
}

.logo {
  font-size: 20px;
  font-weight: bold;
  color: white;
  margin-bottom: 30px;
  padding-left: 10px;
}

.user-info {
  text-align: center;
  margin-bottom: 30px;
}

.user-info img {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  margin-bottom: 10px;
}

.name-status p {
  margin: 4px 0;
}

.online .dot {
  height: 8px;
  width: 8px;
  background-color: #00e676;
  border-radius: 50%;
  display: inline-block;
  margin-right: 5px;
}

.punch-btn {
  margin-top: 10px;
}

.punch-btn input {
  padding: 6px;
  width: 90%;
  margin-bottom: 6px;
  border: none;
  border-radius: 3px;
}

.punch-btn button {
  width: 90%;
  background-color: orange;
  color: white;
  padding: 8px;
  border: none;
  border-radius: 3px;
  font-weight: bold;
}

.sidebar nav ul {
  list-style-type: none;
  padding: 0;
}

.sidebar nav ul li {
  margin: 15px 0;
}

.sidebar nav ul li a {
  color: #cfd8dc;
  text-decoration: none;
  font-size: 16px;
  display: block;
  padding: 8px 12px;
  border-radius: 4px;
}

.sidebar nav ul li a:hover,
.sidebar nav ul li a.active {
  background-color: #34495e;
  color: white;
}

/* Main */
.main-content {
  flex: 1;
  display: flex;
  justify-content: space-evenly;
}

@media screen and (max-width: 768px) {
  .main-content {
    flex-direction: column;
  }
}

.leave-container {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}

/* Apply Leave */
.apply-leave {
  flex: 1;
  background: white;
  /* padding: 20px; */
  border-radius: 8px;
  /* min-width: 300px; */
}

.apply-leave label {
  display: block;
  margin-top: 10px;
  font-weight: bold;
}

.apply-leave input,
.apply-leave textarea,
.apply-leave select {
  width: 100%;
  padding: 8px;
  margin-top: 5px;
  border-radius: 4px;
  border: 1px solid #ccc;
}

.apply-leave small {
  font-size: 12px;
  color: #555;
}

.submit-btn {
  margin-top: 15px;
  padding: 10px;
  background-color: #4285f4;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

/* My Leaves */
.my-leaves {
  flex: 1;
  background: white;
  padding: 20px;
  border-radius: 8px;
  /* min-width: 300px; */
  height: fit-content;
}

.status-approved {
  background-color: #4caf50;
  color: white;
  padding: 3px 8px;
  border-radius: 4px;
  font-size: 12px;
}

.status-pending {
  background-color: #ff9800;
  color: white;
  padding: 3px 8px;
  border-radius: 4px;
  font-size: 12px;
}

.status-declined {
  background-color: #f44336;
  color: white;
  padding: 3px 8px;
  border-radius: 4px;
  font-size: 12px;
}

.auth-wrapper {
  width: 100%;
  max-width: 400px;
  margin: auto;
}

.auth-box {
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.input-group-text {
  width: 50px;
  text-align: center;
}

.btn-success {
  width: 100%;
}

.text-danger {
  text-align: center;
  margin-top: 10px;
}

table {
  width: 100%;
  border-collapse: collapse;
}

th,
td {
  padding: 10px;
  border: 2px solid #ddd;
  font-size: 14px;
  text-align: left;
  vertical-align: middle;
}

th {
  background-color: rgb(157, 183, 222);
}

tr:nth-child(even) {
  background-color: rgba(228, 228, 228, 0.85);
}



.badge {
  padding: 4px 8px;
  border-radius: 4px;
  font-size: 12px;
  color: white;
  display: inline-block;
}

.badge-compulsory {
  background-color: #4caf50;
}

.badge-restricted {
  background-color: #f44336;
}

.pagination {
  margin-top: 15px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 8px;
}

.btn-primary {
  background-color: #007bff;
  color: white;
  padding: 8px 16px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: vertical;
}

tbody,
td,
tfoot,
th,
thead,
tr {
  border: 2px solid #222d3c !important;
}


.topbar.collapsed {
  margin-left: 60px;
}

.toggle-btn {
  cursor: pointer;
}

.breadcrumb {
  display: flex;
  align-items: center;
  gap: 5px;
  margin-bottom: 20px;
  list-style: none;
}

.breadcrumb li {
  background-color: #c23f37;
  padding: 5px 10px;
  border-radius: 10px;
  font-size: 20px;
}

.breadcrumb li a {
  text-decoration: none;
  color: white;
  font-weight: 700;
}

.breadcrumb li a:hover {
  text-decoration: underline;
}

.main-container {
  display: flex;
  flex-direction: column !important;
  justify-content: space-between !important;
  align-items: center;
  background-color: #384a6500;
}

.content-header {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  padding: 20px;
}

/* Sidebar styles */
.sidebar {
  width: 250px;
  background: #1a3257;
  color: white;
  /* height: 100vh; */
  /* position: fixed; */
  /* top: 0; */
  padding: 20px;
  transition: all 0.3s ease;
  z-index: 1000;
}

.sidebar h2 a {
  text-decoration: none;
  color: white;
  font-size: 18px;
  font-weight: bold;
}

.sidebar .profile {
  text-align: center;
  margin: 20px 0;
}

.sidebar .profile i {
  color: white;
}

.sidebar .profile p {
  margin: 5px 0;
}

.sidebar .online .dot {
  height: 10px;
  width: 10px;
  background-color: #28a745;
  border-radius: 50%;
  display: inline-block;
  margin-right: 5px;
}

.sidebar ul {
  list-style: none;
  padding: 0;
}

.sidebar ul li {
  margin: 15px 0;
}

.sidebar ul li a {
  text-decoration: none;
  color: white;
  display: flex;
  align-items: center;
  padding: 10px;
  border-radius: 5px;
  transition: background 0.2s ease;
}

.sidebar ul li a:hover {
  background: #0d6efd;
}

.sidebar ul li i {
  margin-right: 10px;
}

/* Toggle button */
.sidebar-toggle {
  display: none;
  position: fixed;
  top: 15px;
  left: 15px;
  background: #0d6efd;
  color: white;
  border: none;
  padding: 8px 12px;
  border-radius: 5px;
  font-size: 20px;
  z-index: 1100;
}

/* Mobile styles */
@media (max-width: 991px) {
  .sidebar {
    left: -260px;
  }

  .sidebar.active {
    left: 0;
  }

  .sidebar-toggle {
    display: block;
  }
}